package cn.com.countrygarden.bi.main.service.performance.impl;

import cn.com.countrygarden.bi.main.dao.performance.PerformanceStatisticsMapper;
import cn.com.countrygarden.bi.main.model.performance.PerformanceStatistics;
import cn.com.countrygarden.bi.main.service.performance.PerformanceStatisticsService;
import org.apache.ibatis.exceptions.TooManyResultsException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Condition;

import java.util.List;

/**
 * 分数统计
 * 
 * @author 59434
 * @version 2018-4-8 15:11:44
 * 
 */
 
@Service
public class PerformanceStatisticsServiceImpl implements PerformanceStatisticsService {

	@Autowired
	private PerformanceStatisticsMapper performanceStatisticsMapper;

	@Override
	public List<PerformanceStatistics> selectList(PerformanceStatistics statistics) {
		return this.performanceStatisticsMapper.selectStatisticsList(statistics);
	}

	@Override
	public int insertStatisticsList(List<PerformanceStatistics> statisticsList) {
		return this.performanceStatisticsMapper.insertStatisticsList(statisticsList);
	}

	@Override
	@Transactional
	public void updateStatisticsList(List<PerformanceStatistics> statisticsList) {
		for(PerformanceStatistics sta : statisticsList){
			this.performanceStatisticsMapper.updateByPrimaryKeySelective(sta);
		}
	}

	@Override
	public void save(PerformanceStatistics model) {

	}

	@Override
	public void save(List<PerformanceStatistics> models) {

	}

	@Override
	public void deleteById(Integer id) {

	}

	@Override
	public void deleteByIds(String ids) {

	}

	@Override
	public void update(PerformanceStatistics model) {

	}

	@Override
	public PerformanceStatistics findById(Integer id) {
		return null;
	}

	@Override
	public PerformanceStatistics findBy(String fieldName, Object value) throws TooManyResultsException {
		return null;
	}

	@Override
	public List<PerformanceStatistics> findByIds(String ids) {
		return null;
	}

	@Override
	public List<PerformanceStatistics> findByCondition(Condition condition) {
		return null;
	}

	@Override
	public List<PerformanceStatistics> findAll() {
		return null;
	}
}
